CIMAG(3)

NAME
cimag, cimagf, cimagl - imaginary part

SYNOPSIS

#include <complex.h>

double cimag(double complex z);

float cimagf(float complex z);

long double cimagl(long double complex z);

DESCRIPTION

These functions compute the imaginary part of z.

cimagf is identical to cimag, except that it performs its calculations on float complex.

cimagl is identical to cimag, except that it performs its calculations on long double complex.

RETURNS

The cimag* functions return the imaginary part value (as a real).

PORTABILITY

cimag, cimagf and cimagl are ISO C99